Bug 467324 - (mingw32-portablexdr) Review Request: mingw32-portablexdr - MinGW Windows PortableXDR XDR / RPC library
Review Request: mingw32-portablexdr - MinGW Windows PortableXDR XDR / RPC lib...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On: 454410
Blocks: mingw32-libvirt
  Show dependency treegraph
 
Reported: 2008-10-16 16:43 EDT by Richard W.M. Jones
Modified: 2010-09-03 11:30 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-03 11:30:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbrobinson: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 2 Peter Robinson 2008-12-18 09:22:46 EST
Mostly good. Just need a clarification of the license.

+ rpmlint output

rpmlint -i mingw32-portablexdr-4.0.11-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
? license matches the actual package license
  The website specified in the spec file mentions the original code is BSD derived
- %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  a6805f06bbb200d32197845ba723521b  portablexdr-4.0.11.tar.gz
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

+ if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
Comment 3 Richard W.M. Jones 2008-12-18 09:52:11 EST
Raised to fedora-legal-list:
https://www.redhat.com/archives/fedora-legal-list/2008-December/msg00022.html
Comment 4 Peter Robinson 2009-01-03 05:48:50 EST
Held up as per this post
https://www.redhat.com/archives/fedora-legal-list/2008-December/msg00023.html
Comment 5 Richard W.M. Jones 2009-01-03 06:02:54 EST
I'm rewriting portablexdr to remove the license issue and also
to support a working rpcgen.
Comment 6 Tom "spot" Callaway 2009-01-12 15:21:23 EST
As an aside, Sun is (slowly) working through resolving this issue. Hopefully, they'll have this fixed across the board by the time Fedora 11 rolls around.
Comment 7 Daniel Berrange 2009-03-06 04:42:31 EST
Since Sun announced SUNRPC was being relicensed to standard 3-clause BSD, can this ticket be unblocked from Fedora Legal now ?

http://lwn.net/Articles/319648/
Comment 8 Richard W.M. Jones 2009-03-06 04:47:39 EST
Yes, it should be.

However this package still needs upstream work, and is the major
blocking point on the F11 / Windows cross-compiler feature.

Next week ...
Comment 9 Richard W.M. Jones 2009-03-06 04:48:43 EST
Hmmm .. how do I get this out of NEEDINFO?  Perhaps
by posting a useless comment!
Comment 10 Tom "spot" Callaway 2009-03-06 08:09:07 EST
No... because we have to get explicit permission from Sun to do it. Contrary to what you might think would be the logical approach, Sun is only changing the license for code that has cleared their legal dept.
Comment 11 Richard W.M. Jones 2009-03-06 08:50:42 EST
But the code in PortableXDR is just derived from what was in
glibc, so that's OK, right?  Or do we get permission for
every project that uses the code?
Comment 12 Tom "spot" Callaway 2009-03-06 08:56:38 EST
We have to get permission for every single project that copied code.

Yes, this is stupid. I sent Simon another email this morning to try to speed things along, but this is Sun's legal machine grinding slowly, not Simon.
Comment 13 Richard W.M. Jones 2009-03-06 09:03:30 EST
That sucks, but thanks for following this up.

This doesn't sound very much like "four-freedoms" software.  The
original intent of PortableXDR was actually to replace that code
completely.  I already wrote a replacement rpcgen, and about 20%
of the XDR code is rewritten too.  I stopped because Sun were going
to freely license the code.  Is it worth continuing?
Comment 14 Tom "spot" Callaway 2009-03-06 09:11:46 EST
Simon swears up and down that we'll get the all-clear soon, but he can't tell me when "soon" is going to be. We're talking daily at this point.
Comment 15 Richard W.M. Jones 2009-03-09 11:42:30 EDT
Just to update people, we are possibly going to drop this package
from the Fedora 11 feature requirements.  (That does NOT mean dropping
the package!)  There is discussion going on here:

http://lists.fedoraproject.org/pipermail/fedora-mingw/2009-March/000751.html
Comment 16 Peter Robinson 2009-05-21 13:05:22 EDT
Is this covered under the Sun re-licensing that also affected other RPC implementations in Fedora?

http://www.redhat.com/archives/fedora-devel-list/2009-May/msg01673.html
Comment 17 Tom "spot" Callaway 2009-05-21 13:43:47 EDT
Not at the moment, we had to request the license changes on a per package, per file basis from Sun, and the list we sent them was before I was aware of this one. We have already sent them an additional list of the affected files in this package and requested the same relicensing, but we have not yet heard back.
Comment 18 Tom "spot" Callaway 2009-05-22 08:12:10 EDT
Sun replied this morning with permission for us to relicense the Sun RPC bits in this code to BSD. I've sent Richard the new license text, so once he updates a package with the new license, I'll lift FE-Legal.
Comment 19 Peter Robinson 2009-06-06 13:30:05 EDT
Richard, any update on this?
Comment 20 Tom "spot" Callaway 2009-11-30 17:31:44 EST
Any update here? Sun gave us permission to relicense these bits back in May. :)
Comment 21 Richard W.M. Jones 2009-12-07 04:24:59 EST
Basically I think we'll abandon PortableXDR in favour of
something else.  However we're not sure yet, and indeed
I'm still using PortableXDR in a number of places ...
Comment 22 Peter Robinson 2010-03-07 08:08:41 EST
Richard. Is this going to be dropped? Is the review still relevant?
Comment 23 Richard W.M. Jones 2010-03-08 04:52:37 EST
Yes, I suspect this package will be dropped ..  However that still leaves us
with no XDR capability which is necessary for a few things, notably
libvirt support on Windows.
Comment 24 Tom "spot" Callaway 2010-06-03 10:11:03 EDT
Hello? This bug has outlived SUN. Please do something here.
Comment 25 Richard W.M. Jones 2010-06-03 10:18:35 EDT
Don't worry, if Bugzilla runs out of bits keeping this bug
open, I'll buy us a few more.
Comment 26 Tom "spot" Callaway 2010-06-03 10:45:04 EDT
Well, I would like to get this off the FE-Legal blocker ticket. Can you at least post a SRPM with the relicensing changes applied.

Change any references to the SUN RPC license to this:

/*
 * Copyright (c) 2009, Sun Microsystems, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * - Redistributions of source code must retain the above copyright notice,
 *   this list of conditions and the following disclaimer.
 * - Redistributions in binary form must reproduce the above copyright notice,
 *   this list of conditions and the following disclaimer in the documentation
 *   and/or other materials provided with the distribution.
 * - Neither the name of Sun Microsystems, Inc. nor the names of its
 *   contributors may be used to endorse or promote products derived
 *   from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
Comment 27 Richard W.M. Jones 2010-06-03 11:12:36 EDT
There's no Sun code in PortableXDR, because I replaced it.  I've
removed the blocker on FE-LEGAL.
Comment 28 Tom "spot" Callaway 2010-06-03 12:36:30 EDT
That works for me.
Comment 29 Peter Robinson 2010-07-07 17:16:32 EDT
(In reply to comment #27)
> There's no Sun code in PortableXDR, because I replaced it.  I've
> removed the blocker on FE-LEGAL.    

Hey Richard, so does that mean I need to start the review again, is there an updated rpm/spec?
Comment 30 Ryan O'Hara 2010-07-13 10:58:02 EDT
(In reply to comment #29)
> Hey Richard, so does that mean I need to start the review again, is there an
> updated rpm/spec?    

I'm planning to revise the spec file to use portablexdr 4.9.1, since the most recent spec file I can find it 4.0.11.
Comment 31 Peter Robinson 2010-07-13 12:39:41 EDT
I'm still around to do the review so let me know when your ready
Comment 33 Peter Robinson 2010-08-07 17:51:06 EDT
With the new license all looks good. APPROVED!
Comment 34 Adam Stokes 2010-09-02 10:24:38 EDT
New Package SCM Request
=======================
Package Name: mingw32-portablexdr
Short Description: MinGW Windows PortableXDR XDR / RPC library.
Owners: astokes rohara aphilipoff
Branches: f13 f14
InitialCC: rohara astokes aphilipoff pmyers
Comment 35 Kevin Fenzi 2010-09-02 17:48:49 EDT
GIT done, but rohara and aphilipoff are not in the packager group, so 
they could not be owners of this package.

Note You need to log in before you can comment on or make changes to this bug.